# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Zygmunt Krynicki
UBUNTU_RELEASES += 25.10

.PHONY: all
all:: ubuntu-cloud-25.10.$(GARDEN_ARCH).qcow2 ubuntu-cloud-25.10.$(GARDEN_ARCH).run

.PHONY: fetch
fetch: $(GARDEN_DL_DIR)/ubuntu/questing-server-cloudimg-$(call map_to_debian_arch,$(GARDEN_ARCH)).img

$(GARDEN_DL_DIR)/ubuntu/questing-server-cloudimg-amd64.img $(GARDEN_DL_DIR)/ubuntu/questing-server-cloudimg-arm64.img: $(GARDEN_DL_DIR)/ubuntu/questing-server-cloudimg-%.img: | $(GARDEN_DL_DIR)/ubuntu
	$(strip $(WGET) \
		--no-clobber \
		--directory-prefix=$(firstword $|)/ \
		https://cloud-images.ubuntu.com/questing/current/questing-server-cloudimg-$*.img)

$(GARDEN_DL_DIR)/ubuntu/ubuntu-cloud-25.10.x86_64.qcow2: | $(GARDEN_DL_DIR)/ubuntu $(GARDEN_DL_DIR)/ubuntu/questing-server-cloudimg-amd64.img
	ln -sf $(notdir $(word 2,$|)) $@

$(GARDEN_DL_DIR)/ubuntu/ubuntu-cloud-25.10.aarch64.qcow2: | $(GARDEN_DL_DIR)/ubuntu $(GARDEN_DL_DIR)/ubuntu/questing-server-cloudimg-arm64.img
	ln -sf $(notdir $(word 2,$|)) $@

.PHONY: clean
clean::
	rm -f $(GARDEN_DL_DIR)/ubuntu/ubuntu-cloud-25.10.*.qcow2

.PHONY: distclean
distclean::
	rm -f $(GARDEN_DL_DIR)/ubuntu/questing-server-cloudimg-*.img
